Upstream information

CVE-2013-4242 at MITRE

Description

GnuPG before 1.4.14, and Libgcrypt before 1.5.3 as used in GnuPG 2.0.x and possibly other products, allows local users to obtain private RSA keys via a cache side-channel attack involving the L3 cache, aka Flush+Reload.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 1.9
Vector AV:L/AC:M/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 831359 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-32bit >= 1.5.0-0.15.2
Patchnames:
sledsp2-libgcrypt
SUSE Linux Enterprise Desktop 11 SP3
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-32bit >= 1.5.0-0.15.2
Patchnames:
sledsp3-libgcrypt
SUSE Linux Enterprise Desktop 12
  • libgcrypt20 >= 1.6.1-9.1
  • libgcrypt20-32bit >= 1.6.1-9.1
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libgcrypt20
SUSE Linux Enterprise Desktop 12 SP1
  • libgcrypt20 >= 1.6.1-16.1
  • libgcrypt20-32bit >= 1.6.1-16.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libgcrypt20
SUSE Linux Enterprise Desktop 12 SP2
  • libgcrypt20 >= 1.6.1-16.33.1
  • libgcrypt20-32bit >= 1.6.1-16.33.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libgcrypt20
SUSE Linux Enterprise Desktop 12 SP3
  • libgcrypt20 >= 1.6.1-16.39.1
  • libgcrypt20-32bit >= 1.6.1-16.39.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libgcrypt20
SUSE Linux Enterprise Desktop 12 SP4
  • libgcrypt20 >= 1.6.1-16.61.1
  • libgcrypt20-32bit >= 1.6.1-16.61.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libgcrypt20
SUSE Linux Enterprise Module for Basesystem 15
  • libgcrypt-devel >= 1.8.2-4.5
  • libgcrypt20 >= 1.8.2-4.5
  • libgcrypt20-32bit >= 1.8.2-4.5
  • libgcrypt20-hmac >= 1.8.2-4.5
  • libgcrypt20-hmac-32bit >= 1.8.2-4.5
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libgcrypt-devel
SUSE Linux Enterprise Server 11 SP1-LTSS
  • libgcrypt11 >= 1.4.1-6.10.1
  • libgcrypt11-32bit >= 1.4.1-6.10.1
Patchnames:
slessp1-libgcrypt
SUSE Linux Enterprise Server 11 SP2
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-32bit >= 1.5.0-0.15.2
  • libgcrypt11-x86 >= 1.5.0-0.15.2
Patchnames:
slessp2-libgcrypt
SUSE Linux Enterprise Server 11 SP3
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-32bit >= 1.5.0-0.15.2
  • libgcrypt11-x86 >= 1.5.0-0.15.2
Patchnames:
slessp3-libgcrypt
SUSE Linux Enterprise Server 11 SP4
  • libgcrypt11 >= 1.5.0-0.17.1
  • libgcrypt11-32bit >= 1.5.0-0.17.1
  • libgcrypt11-x86 >= 1.5.0-0.17.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libgcrypt11
SUSE Linux Enterprise Server 12
  • libgcrypt20 >= 1.6.1-9.1
  • libgcrypt20-32bit >= 1.6.1-9.1
  • libgcrypt20-hmac >= 1.6.1-9.1
  • libgcrypt20-hmac-32bit >= 1.6.1-9.1
Patchnames:
SUSE Linux Enterprise Server 12 GA libgcrypt20
SUSE Linux Enterprise Server 12 SP1
  • libgcrypt20 >= 1.6.1-16.1
  • libgcrypt20-32bit >= 1.6.1-16.1
  • libgcrypt20-hmac >= 1.6.1-16.1
  • libgcrypt20-hmac-32bit >= 1.6.1-16.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libgcrypt20
SUSE Linux Enterprise Server 12 SP2
  • libgcrypt20 >= 1.6.1-16.33.1
  • libgcrypt20-32bit >= 1.6.1-16.33.1
  • libgcrypt20-hmac >= 1.6.1-16.33.1
  • libgcrypt20-hmac-32bit >= 1.6.1-16.33.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libgcrypt20
SUSE Linux Enterprise Server 12 SP3
  • libgcrypt20 >= 1.6.1-16.39.1
  • libgcrypt20-32bit >= 1.6.1-16.39.1
  • libgcrypt20-hmac >= 1.6.1-16.39.1
  • libgcrypt20-hmac-32bit >= 1.6.1-16.39.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libgcrypt20
SUSE Linux Enterprise Server 12 SP4
  • libgcrypt20 >= 1.6.1-16.61.1
  • libgcrypt20-32bit >= 1.6.1-16.61.1
  • libgcrypt20-hmac >= 1.6.1-16.61.1
  • libgcrypt20-hmac-32bit >= 1.6.1-16.61.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libgcrypt20
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libgcrypt20 >= 1.6.1-16.33.1
  • libgcrypt20-hmac >= 1.6.1-16.33.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libgcrypt20
SUSE Linux Enterprise Server for SAP Applications 11 SP1-LTSS
  • libgcrypt11 >= 1.4.1-6.10.1
  • libgcrypt11-32bit >= 1.4.1-6.10.1
Patchnames:
slessp1-libgcrypt
SUSE Linux Enterprise Server for SAP Applications 11 SP2
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-32bit >= 1.5.0-0.15.2
  • libgcrypt11-x86 >= 1.5.0-0.15.2
Patchnames:
slessp2-libgcrypt
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-32bit >= 1.5.0-0.15.2
  • libgcrypt11-x86 >= 1.5.0-0.15.2
Patchnames:
slessp3-libgcrypt
SUSE Linux Enterprise Server for VMWare 11 SP2
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-32bit >= 1.5.0-0.15.2
  • libgcrypt11-x86 >= 1.5.0-0.15.2
Patchnames:
slessp2-libgcrypt
SUSE Linux Enterprise Server for VMWare 11 SP3
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-32bit >= 1.5.0-0.15.2
  • libgcrypt11-x86 >= 1.5.0-0.15.2
Patchnames:
slessp3-libgcrypt
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libgcrypt-devel >= 1.5.0-0.15.2
  • libgcrypt-devel-32bit >= 1.5.0-0.15.2
Patchnames:
sdksp2-libgcrypt
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libgcrypt-devel >= 1.5.0-0.15.2
  • libgcrypt-devel-32bit >= 1.5.0-0.15.2
Patchnames:
sdksp3-libgcrypt
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libgcrypt-devel >= 1.5.0-0.17.1
  • libgcrypt-devel-32bit >= 1.5.0-0.17.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libgcrypt-devel
SUSE Linux Enterprise Software Development Kit 12
  • libgcrypt-devel >= 1.6.1-9.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libgcrypt-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libgcrypt-devel >= 1.6.1-16.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libgcrypt-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libgcrypt-devel >= 1.6.1-16.33.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libgcrypt-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libgcrypt-devel >= 1.6.1-16.39.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libgcrypt-devel
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libgcrypt-devel >= 1.6.1-16.61.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libgcrypt-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libgcrypt-devel >= 1.5.0-0.15.2
Builds
SAT Patch Nr: 8201
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libgcrypt-devel >= 1.5.0-0.15.2
  • libgcrypt-devel-32bit >= 1.5.0-0.15.2
Builds
SAT Patch Nr: 8201
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libgcrypt11 >= 1.5.0-0.15.2
Builds
SAT Patch Nr: 8201
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-32bit >= 1.5.0-0.15.2
Builds
SAT Patch Nr: 8201
SUSE Linux Enterprise Server 11 SP3
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-x86 >= 1.5.0-0.15.2
Builds
SAT Patch Nr: 8201
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libgcrypt11 >= 1.4.1-6.10.1
Builds
SAT Patch Nr: 9115
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libgcrypt11 >= 1.4.1-6.10.1
  • libgcrypt11-32bit >= 1.4.1-6.10.1
Builds
SAT Patch Nr: 9115
SUSE Linux Enterprise Server 10 SP3 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP3 LTSS for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP3 LTSS for x86
  • gpg >= 1.4.2-23.27.1
Builds
ZYPP Patch Nr: 8718
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libgcrypt-devel >= 1.5.0-0.15.2
Builds
SAT Patch Nr: 8202
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libgcrypt-devel >= 1.5.0-0.15.2
  • libgcrypt-devel-32bit >= 1.5.0-0.15.2
Builds
SAT Patch Nr: 8202
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • libgcrypt11 >= 1.5.0-0.15.2
Builds
SAT Patch Nr: 8202
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-32bit >= 1.5.0-0.15.2
Builds
SAT Patch Nr: 8202
SUSE Linux Enterprise Server 11 SP2
  • libgcrypt11 >= 1.5.0-0.15.2
  • libgcrypt11-x86 >= 1.5.0-0.15.2
Builds
SAT Patch Nr: 8202
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 LTSS for IBM zSeries 64bit
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • gpg >= 1.4.2-23.27.1
Builds
ZYPP Patch Nr: 8719
openSUSE Leap 15.0
  • libgcrypt20 >= 1.8.2-lp150.4.2
  • libgcrypt20-32bit >= 1.8.2-lp150.4.2
Patchnames:
openSUSE Leap 15.0 GA libgcrypt20
openSUSE Leap 42.1
  • libgcrypt-devel >= 1.6.1-18.7
  • libgcrypt20 >= 1.6.1-18.7
  • libgcrypt20-32bit >= 1.6.1-18.7
Patchnames:
openSUSE Leap 42.1 GA libgcrypt-devel
openSUSE Leap 42.2
  • libgcrypt-devel >= 1.6.1-33.1
  • libgcrypt20 >= 1.6.1-33.1
  • libgcrypt20-32bit >= 1.6.1-33.1
Patchnames:
openSUSE Leap 42.2 GA libgcrypt-devel
openSUSE Leap 42.3
  • libgcrypt-devel >= 1.6.1-37.2
  • libgcrypt20 >= 1.6.1-37.2
  • libgcrypt20-32bit >= 1.6.1-37.2
Patchnames:
openSUSE Leap 42.3 GA libgcrypt-devel
openSUSE Tumbleweed
  • libgcrypt-cavs >= 1.7.3-1.3
  • libgcrypt-devel >= 1.7.3-1.3
  • libgcrypt-devel-32bit >= 1.7.3-1.3
  • libgcrypt20 >= 1.7.3-1.3
  • libgcrypt20-32bit >= 1.7.3-1.3
  • libgcrypt20-hmac >= 1.7.3-1.3
  • libgcrypt20-hmac-32bit >= 1.7.3-1.3
Patchnames:
openSUSE Tumbleweed GA libgcrypt-cavs


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 gpg Released
SUSE Linux Enterprise Desktop 10 SP4 gpg Released
SUSE Linux Enterprise Server 10 SP3 gpg Released
SUSE Linux Enterprise Server 10 SP4 gpg Released
SUSE Linux Enterprise Server 10 SP4 LTSS gpg Released